
The following text was copied from the eBay.co.uk article website.
I am not the author of this information - it is only added for further information about ZL1CVD's work:

The TenaTesta is a USB device which you can power from a smart phone, USB power bank or even a PC. A standard micro-USB cable is required (not included). To operate, simply plug it into a USB power source, connect the antenna to be tested, select the beginning and end frequency then double click the start button to start sweeping the selected frequency range. The small 1.8” color display then graphs forward power (blue), reverse power (red) and approximate SWR (yellow). At the end of the sweep, it then indicates the 1st frequency that gave the best SWR for the sweep (1st frequency with closest match to 50 ohms). For antenna's where several frequencies are close to 50 ohms, only the 1st is indicated. You can of coarse narrow things down by reducing the gap between start and stop frequencies.

How it works
------------

At the heart of the TenaTesta is an Arduino Nano compatible microcontroller which controls a Silicone Labs CMOS PLL clock generator that is feed into a Wheatstone impedance bridge. The microcontroller measures both forward and reverse power, calculates SWR and plots the results as a graph on a 1.8” TFT color display.
Limitations

This is a cost effective approach that works well for me. However its not perfect and there are several limitations to this design:

PLL clock output is a square wave
---------------------------------

This means the signal generated is full of harmonics which could result in a false SWR readings. To help overcome this issue, the clock output is kept to a bare minimum and multiple power readings are averaged before SWR is calculated. In practice I have not found harmonic related issues. It is likely that sweeping a massive range may give false readings but doing so is somewhat pointless due to the resolution of the display.

Wheatstone impedance bridge
---------------------------
The Wheatstone impedance bridge checks resistance and not the complex impedance's that can exist in some antenna designs. Ideally a Bruene directional coupler would be used but I felt this would take up too much board space, not have the bandwidth and be harder to replicate. I am pleased with the results of the Wheatstone bridge with my wire type HF antennas. I personally find this compact tool ideal for quick antenna measurements. For tricky antennas, I use a bench analyzer.

Arduino program
---------------
I am not a professional programmer and as such the code could possibly be improved. It does however do what I want and the source code is available to those who purchase the TenaTesta (assembled, PCB or kit) at no additional charge for private non-commercial use.

Upgradeable & a great Arduino learning platform
-----------------------------------------------
The TenaTesta makes a great Microcontroller learning platform. By installing the Arduino programming environment onto you PC, Mac or Linux box, you will be able to examine and modify my code. You'll be able to make changes, compile and upload via USB.

3.3v / 5v Warning
-----------------
The PLL chip used in this design is rated for 3.3v operation only. The board design does not cater for a microcontroller operating at a different voltage to the PLL. In theory, a 3.3v PLL connected to a 5v microcontroller should destroy the PLL. In practice, all units I have assembled to date have worked fine. It is your choice to assemble this with either 3.3V or 5V Arduino Nano 32u4 microcontroller. But be aware the 3.3v 32u4 Nano operates at a much slower clock frequency - the display will be slower to change and update, keys will be slower to respond. 

